from PyQt5 import QtCore, QtGui, QtWidgets
from PyQt5.QtWidgets import QAbstractItemView
from MyLabel import MyLabel

def setupUi(self):
    self.setObjectName("MainWindow")
    self.resize(751, 533)
    font = QtGui.QFont()
    font.setPointSize(10)
    self.setFont(font)
    self.centralwidget = QtWidgets.QWidget(self)
    self.centralwidget.setObjectName("centralwidget")
    self.queueList = QtWidgets.QListWidget(self.centralwidget)
    self.queueList.setSelectionMode(QAbstractItemView.SingleSelection)
    self.queueList.setGeometry(QtCore.QRect(10, 40, 191, 301))
    self.queueList.setObjectName("queueList")
    self.queueLabel = QtWidgets.QLabel(self.centralwidget)
    self.queueLabel.setGeometry(QtCore.QRect(10, 10, 61, 21))
    font = QtGui.QFont()
    font.setPointSize(10)
    self.queueLabel.setFont(font)
    self.queueLabel.setObjectName("queueLabel")
    self.splitter_7 = QtWidgets.QSplitter(self.centralwidget)
    self.splitter_7.setGeometry(QtCore.QRect(210, 390, 111, 81))
    self.splitter_7.setOrientation(QtCore.Qt.Vertical)
    self.splitter_7.setObjectName("splitter_7")
    self.speedDial = QtWidgets.QDial(self.splitter_7)
    self.speedDial.setProperty("value", 50)
    self.speedDial.setObjectName("speedDial")
    self.speedLabel = QtWidgets.QLabel(self.splitter_7)
    self.speedLabel.setAlignment(QtCore.Qt.AlignCenter)
    self.speedLabel.setObjectName("speedLabel")
    self.imageLabel = MyLabel(self.centralwidget)
    self.imageLabel.setGeometry(QtCore.QRect(320, 30, 300, 300))
    self.imageLabel.setAlignment(QtCore.Qt.AlignCenter)
    self.imageLabel.setScaledContents(True)
    self.imageLabel.setObjectName("imageLabel")
    self.splitter_2 = QtWidgets.QSplitter(self.centralwidget)
    self.splitter_2.setGeometry(QtCore.QRect(330, 400, 311, 51))
    self.splitter_2.setOrientation(QtCore.Qt.Horizontal)
    self.splitter_2.setObjectName("splitter_2")
    self.prevButton = QtWidgets.QPushButton(self.splitter_2)
    self.prevButton.setObjectName("prevButton")
    self.playButton = QtWidgets.QPushButton(self.splitter_2)
    self.playButton.setObjectName("playButton")
    self.nextButton = QtWidgets.QPushButton(self.splitter_2)
    self.nextButton.setObjectName("nextButton")
    self.splitter_3 = QtWidgets.QSplitter(self.centralwidget)
    self.splitter_3.setGeometry(QtCore.QRect(630, 390, 111, 81))
    self.splitter_3.setOrientation(QtCore.Qt.Vertical)
    self.splitter_3.setObjectName("splitter_3")
    self.soundDial = QtWidgets.QDial(self.splitter_3)
    self.soundDial.setProperty("value", 40)
    self.soundDial.setObjectName("soundDial")
    self.volumeLabel = QtWidgets.QLabel(self.splitter_3)
    self.volumeLabel.setAlignment(QtCore.Qt.AlignCenter)
    self.volumeLabel.setObjectName("volumeLabel")
    self.splitter_6 = QtWidgets.QSplitter(self.centralwidget)
    self.splitter_6.setGeometry(QtCore.QRect(10, 350, 191, 131))
    self.splitter_6.setOrientation(QtCore.Qt.Vertical)
    self.splitter_6.setObjectName("splitter_6")
    self.splitter_5 = QtWidgets.QSplitter(self.splitter_6)
    self.splitter_5.setOrientation(QtCore.Qt.Horizontal)
    self.splitter_5.setObjectName("splitter_5")
    self.upButton = QtWidgets.QPushButton(self.splitter_5)
    self.upButton.setObjectName("upButton")
    self.downButton = QtWidgets.QPushButton(self.splitter_5)
    self.downButton.setObjectName("downButton")
    self.removeFromQueueButton = QtWidgets.QPushButton(self.splitter_6)
    self.removeFromQueueButton.setObjectName("removeFromQueueButton")
    #self.addToLibraryButton = QtWidgets.QPushButton(self.splitter_6)
    #self.addToLibraryButton.setObjectName("addToLibraryButton")
    self.splitter_4 = QtWidgets.QSplitter(self.splitter_6)
    self.splitter_4.setOrientation(QtCore.Qt.Horizontal)
    self.splitter_4.setObjectName("splitter_4")
    self.shuffleButton = QtWidgets.QPushButton(self.splitter_4)
    self.shuffleButton.setObjectName("shuffleButton")
    self.repeatButton = QtWidgets.QPushButton(self.splitter_4)
    self.repeatButton.setObjectName("repeatButton")
    self.leftNumber = QtWidgets.QLabel(self.centralwidget)
    self.leftNumber.setGeometry(QtCore.QRect(220, 350, 52, 16))
    self.leftNumber.setAlignment(QtCore.Qt.AlignCenter)
    self.leftNumber.setObjectName("leftNumber")
    #self.rightNumber = QtWidgets.QLabel(self.centralwidget)
    self.rightNumber = MyLabel(self.centralwidget)
    self.rightNumber.setGeometry(QtCore.QRect(680, 350, 52, 16))
    self.rightNumber.setAlignment(QtCore.Qt.AlignCenter)
    self.rightNumber.setObjectName("rightNumber")
    self.musicSlider = QtWidgets.QSlider(self.centralwidget)
    self.musicSlider.setGeometry(QtCore.QRect(280, 340, 391, 31))
    self.musicSlider.setProperty("value", 0)
    self.musicSlider.setOrientation(QtCore.Qt.Horizontal)
    self.musicSlider.setObjectName("musicSlider")
    self.setCentralWidget(self.centralwidget)
    self.menubar = QtWidgets.QMenuBar(self)
    self.menubar.setGeometry(QtCore.QRect(0, 0, 751, 21))
    self.menubar.setObjectName("menubar")
    self.menuFile = QtWidgets.QMenu(self.menubar)
    self.menuFile.setObjectName("menuFile")
    self.menuPlaylist = QtWidgets.QMenu(self.menubar)
    self.menuPlaylist.setObjectName("menuPlaylist")
    self.menuLibrary = QtWidgets.QMenu(self.menubar)
    self.menuLibrary.setObjectName("menuLibrary")
    self.setMenuBar(self.menubar)
    self.statusbar = QtWidgets.QStatusBar(self)
    self.statusbar.setObjectName("statusbar")
    self.setStatusBar(self.statusbar)
    self.actionOpen = QtWidgets.QAction(self)
    self.actionOpen.setObjectName("actionOpen")
    #self.actionOpen_Playlist = QtWidgets.QAction(self)
    #self.actionOpen_Playlist.setObjectName("actionOpen_Playlist")
    self.actionChoose_from_Library = QtWidgets.QAction(self)
    self.actionChoose_from_Library.setObjectName("actionChoose_from_Library")

    self.actionOpenLibrary = QtWidgets.QAction(self)
    self.actionOpenLibrary.setObjectName("actionOpenLibrary")

    self.actionManagePlaylist = QtWidgets.QAction(self)
    self.actionManagePlaylist.setObjectName("managePlaylist")

    self.menuFile.addAction(self.actionOpen)
    #self.menuFile.addAction(self.actionOpen_Playlist)
    self.menuFile.addAction(self.actionChoose_from_Library)
    self.menubar.addAction(self.menuFile.menuAction())
    self.menubar.addAction(self.menuPlaylist.menuAction())
    self.menubar.addAction(self.menuLibrary.menuAction())

    self.menuLibrary.addAction(self.actionOpenLibrary)
    self.menuPlaylist.addAction(self.actionManagePlaylist)

    retranslateUi(self)
    QtCore.QMetaObject.connectSlotsByName(self)


def retranslateUi(self):
    _translate = QtCore.QCoreApplication.translate
    self.setWindowTitle(_translate("MainWindow", "MusicPlayer"))
    self.queueLabel.setText(_translate("MainWindow", "Queue:"))
    self.speedLabel.setText(_translate("MainWindow", "Speed: 1x"))
    self.imageLabel.setText(_translate("MainWindow", "Image Here..."))
    self.prevButton.setText(_translate("MainWindow", "<<"))
    self.playButton.setText(_translate("MainWindow", "Play"))
    self.nextButton.setText(_translate("MainWindow", ">>"))
    self.volumeLabel.setText(_translate("MainWindow", "Volume: 40"))
    self.upButton.setText(_translate("MainWindow", "Up"))
    self.downButton.setText(_translate("MainWindow", "Down"))
    self.removeFromQueueButton.setText(_translate("MainWindow", "Remove from queue"))
    #self.addToLibraryButton.setText(_translate("MainWindow", "Add to Library"))
    self.shuffleButton.setText(_translate("MainWindow", "Shuffle"))
    self.repeatButton.setText(_translate("MainWindow", "Repeat"))
    self.leftNumber.setText(_translate("MainWindow", "00:00:00"))
    self.rightNumber.setText(_translate("MainWindow", "00:00:00"))
    self.menuFile.setTitle(_translate("MainWindow", "File"))
    self.menuPlaylist.setTitle(_translate("MainWindow", "Playlist"))
    self.menuLibrary.setTitle(_translate("MainWindow", "Library"))
    self.actionOpen.setText(_translate("MainWindow", "Choose from PC"))
    #self.actionOpen_Playlist.setText(_translate("MainWindow", "Choose Playlist"))
    self.actionChoose_from_Library.setText(_translate("MainWindow", "Choose from Library"))

    self.actionOpenLibrary.setText(_translate("MainWindow", "Manage"))
    self.actionManagePlaylist.setText(_translate("MainWindow", "Manage"))